package main

import (
	"git.javil.eu/jacob1123/budgeteer/http"
	"git.javil.eu/jacob1123/budgeteer/jwt"
	"git.javil.eu/jacob1123/budgeteer/postgres"
)

func main() {
	us := &postgres.UserService{}
	tv := &jwt.TokenVerifier{}

	h := &http.Handler{
		UserService:   us,
		TokenVerifier: tv,
	}
	h.Serve()
}
